Bug 1467192 - Bluetooth keyboard: Repeated keystrokes
Bluetooth keyboard: Repeated keystrokes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
25
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 03:00 EDT by vasilis
Modified: 2017-12-12 05:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:27:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vasilis 2017-07-03 03:00:17 EDT
Since FC19 I am using a MAC Bluetooth keyboard with my Linux with no problem.
Starting from the upgrade to FC20, and even clean installation of FC25 the Bluetooth keyboard randomly started repeating characters. It happens a couple of times per day, and it lasts for a a few minutes, rendering the keyboard unusable. During that period, the keyboard seems to be stuck on characters with a result liiiiiiiiiiikeeeeeeeeeeeeeee thiiiiiiiiiiiiiiisssssssssss.
I've tried different USB Bluetooth dongles with no success. Recently I've bought a Logitech K810 keyboard and exactly the same problem.

Various things I've tested:
1. Initially I though it might be EM interference, so I changed the position of the receiver, my GSM phone etc, with no success.

2. I've tried to monitor the communication with btmon during all day to check when it happens if there is something abnormal in the communication 

Here is dump of btmon during the problem
Result on terminal:        //////IIIIIIIInNPPPPPPPPP
btmon output:
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83183.709610
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 00 00 38 00 00 00 00 00                    ....8.....                          /
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83184.092029
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 00 00 00 00 00 00 00 00                    ..........                          none
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83184.204611
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 02 00 00 00 00 00 00 00                    ..........                          L_Shift
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83184.205813
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 02 00 0c 00 00 00 00 00                    ..........                          L_Shift i
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83184.633393
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 02 00 00 00 00 00 00 00                    ..........                          L_Shift
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83184.722031
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 00 00 00 00 00 00 00 00                    ..........                          none
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83184.834473
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 00 00 11 00 00 00 00 00                    ..........                          n
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83184.947012
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 02 00 11 00 00 00 00 00                    ..........                          LS n
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83185.105822
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 02 00 00 00 00 00 00 00                    ..........                          LS
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83185.149508
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 02 00 13 00 00 00 00 00                    ..........                          LS p
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83185.509456
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 02 00 00 00 00 00 00 00                    ..........                          LS
> ACL Data RX: Handle 11 flags 0x02 dlen 14                       [hci0] 83185.576964
      Channel: 65 len 10 [PSM 0 mode 0] {chan 0}
        a1 01 00 00 00 00 00 00 00 00                    ..........                          none
> HCI Event: Inquiry Complete (0x01) plen 1                       [hci0] 83186.850713
        Status: Success (0x00)

There is nothing abnormal. e.g. each key is pressed for 0.2-0.3s, which doesn't justify the repeating with my current keyboard settings.

3. Disable the upowerd service to stop asking the keyboard for the battery level. Nothing.
4. Currently I've changed the power management of the Bluetooth from "auto" to "on", but I have to wait at least one day to check.

Additional info:
[NEW] Device 34:88:5D:5E:0C:2F Logitech K810
[Vasilis Keyboard]# info 34:88:5D:5E:0C:2F
Device 34:88:5D:5E:0C:2F
        Name: Logitech K810
        Alias: Logitech K810
        Class: 0x000540
        Icon: input-keyboard
        Paired: yes
        Trusted: yes
        Blocked: no
        Connected: yes
        LegacyPairing: no
        UUID: Service Discovery Serve.. (00001000-0000-1000-8000-00805f9b34fb)
        UUID: Human Interface Device... (00001124-0000-1000-8000-00805f9b34fb)
        UUID: PnP Information           (00001200-0000-1000-8000-00805f9b34fb)
        Modalias: usb:v046DpB319d120


Any other ideas what can be the cause of the problem?
Comment 1 vasilis 2017-07-03 03:35:06 EDT
Update: Changing power control to "on" from "auto" didn't help as well
Comment 2 vasilis 2017-07-04 05:35:42 EDT
Could somehow increase the priority of the bluetooth and the hid driver?
Comment 3 Christian Stadelmann 2017-09-19 06:39:10 EDT
Is it only one key that gets repeated, e.g. like thiiiiiiiiiiiiiiiiiiiiiiiiiiis, or is it really multiple keys? If it is just one key, then I'm seeing the same issue (upstream bug report: https://bugzilla.gnome.org/show_bug.cgi?id=777693) and maybe this is a duplicate of bug #1442871.
Comment 4 vasilis 2017-10-26 11:27:55 EDT
It was every key. However I solved my problem by downgrading my Bluetooth receiver. I found a very old one V2 protocol and it works great.
Comment 5 Fedora End Of Life 2017-11-16 13:40:17 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-12-12 05:27:51 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.